ExpressionTransformer (Mule ESB 2.2.1 API)
Keywords: org.mule.expression.transformers.ExpressionTransformer class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.expression.transformers
Class ExpressionTransformer

    java.lang.Object
      org.mule.transformer.AbstractTransformer
          org.mule.transformer.AbstractMessageAwareTransformer
              org.mule.expression.transformers.AbstractExpressionTransformer
                  org.mule.expression.transformers.ExpressionTransformer

All Implemented Interfaces:
  MuleContextAware, Initialisable, NamedObject, BaseTransformer, Transformer

    public class ExpressionTransformer

extends AbstractExpressionTransformer

This transformer will evaluate one or more expressions on the current message and return the results as an Array. If only one expression is defined it will return the object returned from the expression.

You can use expressions to extract

- headers (single, map or list)
- attachments (single, map or list)
- payload
- xpath
- groovy
- bean

and more.

This transformer provides a very powerful way to pull different bits of information from the message and pass them to the service.

Field Summary

Fields inherited from class org.mule.expression.transformers.AbstractExpressionTransformer
`arguments, muleContext`

Fields inherited from class org.mule.transformer.AbstractTransformer
`DEFAULT_TRUNCATE_LENGTH, endpoint, logger, name, returnClass, sourceTypes`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Constructor Summary
`ExpressionTransformer()`

Method Summary
`boolean` | `isReturnSourceIfNull()`
`void` | `setReturnSourceIfNull(boolean returnSourceIfNull)`
`Object` | `transform(MuleMessage message, String outputEncoding)`

Methods inherited from class org.mule.expression.transformers.AbstractExpressionTransformer
`addArgument, getArguments, initialise, removeArgument, setArguments, setMuleContext`

Methods inherited from class org.mule.transformer.AbstractMessageAwareTransformer
`doTransform, isSourceTypeSupported`

Methods inherited from class org.mule.transformer.AbstractTransformer
`checkReturnClass, generateTransformerName, getEndpoint, getName, getReturnClass, getSourceTypes, isAcceptNull, isConsumed, isIgnoreBadInput, isSourceTypeSupported, registerSourceType, setEndpoint, setIgnoreBadInput, setName, setReturnClass, toString, transform, unregisterSourceType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ExpressionTransformer

    public ExpressionTransformer()

Method Detail

### transform

    public Object transform(MuleMessage message,
                            String outputEncoding)
                     throws TransformerException

  Specified by:
    `transform` in class `AbstractMessageAwareTransformer`
  Throws:
    `TransformerException`

### isReturnSourceIfNull

    public boolean isReturnSourceIfNull()

### setReturnSourceIfNull

    public void setReturnSourceIfNull(boolean returnSourceIfNull)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.